[unixODBC-support] 64bit unixODBC in HP-UX IA64

fc.ho at eprotea.com.my fc.ho at eprotea.com.my
Tue Mar 20 16:17:41 GMT 2007


Hi,
    I'm failed to compile 64bit unixODBC in HP-UX IA64 with below error :

ld: Can't find library or mismatched ABI for -lpthread
Fatal error.
collect2: ld returned 1 exit status
*** Error exit code 1

    Below is my server information :
# uname -a
HP-UX HPUX B.11.23 U ia64 1638866101 unlimited-user license

# model
ia64 hp server rx3600

# gcc -v
Using built-in specs.
Target: ia64-hp-hpux11.23
Configured with: /tmp/gcc-4.1.2.tar.gz/gcc-4.1.2/configure
--host=ia64-hp-hpux11.23 --target=ia64-hp-hpux11.23
--build=ia64-hp-hpux11.23 --prefix=/opt/hp-gcc-4.1.2 --with-gnu-as
--without-gnu-ld --with-ld=/usr/ccs/bin/ld --enable-threads=posix
--enable-languages=c,c++
Thread model: posix
gcc version 4.1.2

# env |grep CFLAGS
CFLAGS=-mlp64

# echo $SHLIB_PATH
/usr/lib/hpux64:/etc/opt/resmon/lib:/opt/gnome/lib

#  echo $LPATH
/usr/lib/hpux64


    Any help are very appreciate.

Thank you.




More information about the unixODBC-support mailing list